[Launch]
ProgramExecutable=EAC\EAC.exe
WorkingDirectory=%PAL:AppDir%\EAC
DirectoryMoveOK=yes

[Activate]
Registry=true

[RegistryKeys]
ExactAudioCopyPortable=HKCU\Software\AWSoftware\EACU
dBpowerAMP=HKCU\Software\Illustrate\dBpowerAMP
-=HKCU\Software\Cygnus Solutions\Cygwin
-=HKLM\SOFTWARE\AWSoftware\EACU
-=HKLM\SOFTWARE\Cygnus Solutions\Cygwin

[RegistryCleanupIfEmpty]
1=HKCU\Software\AWSoftware
2=HKCU\Software\Cygnus Solutions
3=HKCU\Software\Illustrate
4=HKLM\SOFTWARE\AWSoftware
5=HKLM\SOFTWARE\Cygnus Solutions

[FilesMove]
logs\*.log=%PAL:AppDir%\EAC

[DirectoriesMove]
EAC=%APPDATA%\EAC
AccurateRip=%APPDATA%\AccurateRip

[FileWrite1]
Type=INI
File=%PAL:DataDir%\settings\ExactAudioCopyPortable.reg
Section=HKEY_CURRENT_USER\Software\AWSoftware\EACU\StartUp Options
Key='"ProfilesPath"'
Value='"%APPDATA:DoubleBackslash%\\EAC\\Profiles\\"'

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\ExactAudioCopyPortable.reg
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\settings\ExactAudioCopyPortable.reg
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\

[FileWrite4]
Type=INI
File=%PAL:DataDir%\settings\ExactAudioCopyPortable.reg
Section=HKEY_CURRENT_USER\Software\AWSoftware\EACU\StartUp Options
Key='"UseLanguage"'
Value='"%PAL:LanguageCustom%"'

[Language]
Base=%PortableApps.comLocaleName%

[LanguageStrings]
BULGARIAN=D74698C
CZECH=EF94011E
DUTCH=D7166758
ENGLISH=47AB3DF2
; FRENCH=4916D158
GERMAN=AF3C60A9
ITALIAN=BDDCA146
POLISH=C364D3AE
RUSSIAN=E67C2366
SERBIAN=2CAE0F90
SIMPCHINESE=526E4650
SLOVAK=02DA658C
SPANISH=D178E8F2
SWEDISH=F94A8C3C

[LanguageFile]
Type=INI
File=%PAL:DataDir%\settings\ExactAudioCopyPortable.reg
Section=HKEY_CURRENT_USER\Software\AWSoftware\EACU\StartUp Options
Key='"UseLanguage"'
